Uses of Interface
io.helidon.common.http.DataChunk
-
Packages that use DataChunk Package Description io.helidon.common.http HTTP APIs and implementations usable by both server and client side of the HTTP story.io.helidon.media.common Common classes for processing content with a specificMediaType.io.helidon.media.jackson.common Jackson media type support.io.helidon.media.jsonb.common JSON-B media type support.io.helidon.media.jsonp.common JSON-P media type support.io.helidon.webclient A reactive client for rest calls.io.helidon.webserver Reactive web server API.io.helidon.webserver.tyrus Tyrus integration. -
-
Uses of DataChunk in io.helidon.common.http
Methods in io.helidon.common.http that return DataChunk Modifier and Type Method Description static DataChunkDataChunk. create(boolean flush, ByteBuffer data)Creates a reusable data chunk.static DataChunkDataChunk. create(boolean flush, ByteBuffer data, boolean readOnly)Creates a reusable data chunk.static DataChunkDataChunk. create(boolean flush, ByteBuffer data, Runnable releaseCallback)Creates a reusable data chunk.static DataChunkDataChunk. create(boolean flush, ByteBuffer data, Runnable releaseCallback, boolean readOnly)Creates a reusable data chunk.static DataChunkDataChunk. create(byte[] bytes)Creates a simple byte array backed data chunk.static DataChunkDataChunk. create(ByteBuffer byteBuffer)Creates a simpleByteBufferbacked data chunk.default DataChunkDataChunk. duplicate()Makes a copy of this data chunk including its underlyingByteBuffer.Methods in io.helidon.common.http that return types with arguments of type DataChunk Modifier and Type Method Description default Optional<CompletableFuture<DataChunk>>DataChunk. writeFuture()Returns a write future associated with this chunk.Method parameters in io.helidon.common.http with type arguments of type DataChunk Modifier and Type Method Description default CompletionStage<? extends R>Reader. apply(Flow.Publisher<DataChunk> publisher)Deprecated.Transforms a publisher into a completion stage.CompletionStage<? extends R>Reader. apply(Flow.Publisher<DataChunk> publisher, Class<? super R> clazz)Deprecated.Transforms a publisher into a completion stage.default <T extends R>
CompletionStage<? extends T>Reader. applyAndCast(Flow.Publisher<DataChunk> publisher, Class<T> type)Deprecated.Transforms a publisher into a completion stage.voidContent. registerFilter(Function<Flow.Publisher<DataChunk>,Flow.Publisher<DataChunk>> function)Deprecated.useio.helidon.media.common.MessageBodyReaderContext.registerFiltervoidContent. registerFilter(Function<Flow.Publisher<DataChunk>,Flow.Publisher<DataChunk>> function)Deprecated.useio.helidon.media.common.MessageBodyReaderContext.registerFiltervoidContent. subscribe(Flow.Subscriber<? super DataChunk> subscriber)Deprecated.If possible, adds the given Subscriber to this publisher.default voidDataChunk. writeFuture(CompletableFuture<DataChunk> writeFuture)Set a write future that will complete when data chunk has been written to a connection. -
Uses of DataChunk in io.helidon.media.common
Methods in io.helidon.media.common that return types with arguments of type DataChunk Modifier and Type Method Description Flow.Publisher<DataChunk>MessageBodyContext. applyFilters(Flow.Publisher<DataChunk> publisher)Apply the filters on the given input publisher to form a publisher chain.protected Flow.Publisher<DataChunk>MessageBodyContext. applyFilters(Flow.Publisher<DataChunk> publisher, GenericType<?> type)Apply the filters on the given input publisher to form a publisher chain.static Function<byte[],Flow.Publisher<DataChunk>>ContentWriters. byteArrayWriter(boolean copy)Returns a writer function forbyte[].static Function<ReadableByteChannel,Flow.Publisher<DataChunk>>ContentWriters. byteChannelWriter()Returns a writer function forReadableByteChannel.static Function<ReadableByteChannel,Flow.Publisher<DataChunk>>ContentWriters. byteChannelWriter(RetrySchema retrySchema)Returns a writer function forReadableByteChannel.static Function<CharBuffer,Flow.Publisher<DataChunk>>ContentWriters. charBufferWriter(Charset charset)Returns a writer function forCharBufferusing provided standardcharset.static Function<CharSequence,Flow.Publisher<DataChunk>>ContentWriters. charSequenceWriter(Charset charset)Returns a writer function forCharSequenceusing provided standardcharset.<T> Flow.Publisher<DataChunk>MessageBodyWriterContext. marshall(Single<T> content, GenericType<T> type, MessageBodyWriterContext fallback)Convert a given input publisher into HTTP payload by selecting a writer that accepts the specified type and current context.<T> Flow.Publisher<DataChunk>MessageBodyWriterContext. marshall(Single<T> content, Class<? extends MessageBodyWriter<T>> writerType, GenericType<T> type, MessageBodyWriterContext fallback)Convert a given input publisher into HTTP payload by selecting a writer with the specified class.<T> Flow.Publisher<DataChunk>MessageBodyWriterContext. marshallStream(Flow.Publisher<T> content, GenericType<T> type, MessageBodyWriterContext fallback)Convert a given input publisher into HTTP payload by selecting a stream writer that accepts the specified type and current context.<T> Flow.Publisher<DataChunk>MessageBodyWriterContext. marshallStream(Flow.Publisher<T> content, Class<? extends MessageBodyWriter<T>> writerType, GenericType<T> type, MessageBodyWriterContext fallback)Convert a given input publisher into HTTP payload by selecting a stream writer with the specified class.Flow.Publisher<DataChunk>MessageBodyWriteableContent. toPublisher(MessageBodyWriterContext fallback)Convert this writeable content to a raw publisher.Flow.Publisher<DataChunk>ByteChannelBodyWriter. write(Single<ReadableByteChannel> content, GenericType<? extends ReadableByteChannel> type, MessageBodyWriterContext context)Flow.Publisher<DataChunk>CharSequenceBodyWriter. write(Single<CharSequence> content, GenericType<? extends CharSequence> type, MessageBodyWriterContext context)Flow.Publisher<DataChunk>FileBodyWriter. write(Single<File> content, GenericType<? extends File> type, MessageBodyWriterContext context)Flow.Publisher<DataChunk>MessageBodyStreamWriter. write(Flow.Publisher<T> publisher, GenericType<? extends T> type, MessageBodyWriterContext context)Generate HTTP payload from the given stream of objects.Flow.Publisher<DataChunk>MessageBodyWriter. write(Single<T> single, GenericType<? extends T> type, MessageBodyWriterContext context)Generate HTTP payload from the objects of the given type.Flow.Publisher<DataChunk>PathBodyWriter. write(Single<Path> content, GenericType<? extends Path> type, MessageBodyWriterContext context)Flow.Publisher<DataChunk>ThrowableBodyWriter. write(Single<Throwable> content, GenericType<? extends Throwable> type, MessageBodyWriterContext context)static Single<DataChunk>ContentWriters. writeBytes(byte[] bytes, boolean copy)static Single<DataChunk>ContentWriters. writeCharBuffer(CharBuffer buffer, Charset charset)static Single<DataChunk>ContentWriters. writeCharSequence(CharSequence cs, Charset charset)static Single<DataChunk>ContentWriters. writeStackTrace(Throwable throwable, Charset charset)Method parameters in io.helidon.media.common with type arguments of type DataChunk Modifier and Type Method Description Flow.Publisher<DataChunk>MessageBodyContext. applyFilters(Flow.Publisher<DataChunk> publisher)Apply the filters on the given input publisher to form a publisher chain.protected Flow.Publisher<DataChunk>MessageBodyContext. applyFilters(Flow.Publisher<DataChunk> publisher, GenericType<?> type)Apply the filters on the given input publisher to form a publisher chain.static MessageBodyReadableContentMessageBodyReadableContent. create(Flow.Publisher<DataChunk> publisher, MessageBodyReaderContext context)Create a new readable content backed by the given publisher and context.static MessageBodyWriteableContentMessageBodyWriteableContent. create(Flow.Publisher<DataChunk> publisher, Parameters headers)Create a new writeable content backed by a raw publisher.<U extends InputStream>
Single<U>InputStreamBodyReader. read(Flow.Publisher<DataChunk> publisher, GenericType<U> type, MessageBodyReaderContext context)<U extends T>
Single<U>MessageBodyReader. read(Flow.Publisher<DataChunk> publisher, GenericType<U> type, MessageBodyReaderContext context)Convert a HTTP payload into a Single publisher of the given type.<U extends T>
Flow.Publisher<U>MessageBodyStreamReader. read(Flow.Publisher<DataChunk> publisher, GenericType<U> type, MessageBodyReaderContext context)Convert the given HTTP payload into objects of the given type.<U extends String>
Single<U>StringBodyReader. read(Flow.Publisher<DataChunk> publisher, GenericType<U> type, MessageBodyReaderContext context)static Single<byte[]>ContentReaders. readBytes(Flow.Publisher<DataChunk> chunks)Collect theDataChunkof the given publisher into a single byte array.static Single<String>ContentReaders. readString(Flow.Publisher<DataChunk> chunks, Charset charset)static Single<String>ContentReaders. readURLEncodedString(Flow.Publisher<DataChunk> chunks, Charset charset)voidMessageBodyContext. registerFilter(Function<Flow.Publisher<DataChunk>,Flow.Publisher<DataChunk>> function)Deprecated.voidMessageBodyContext. registerFilter(Function<Flow.Publisher<DataChunk>,Flow.Publisher<DataChunk>> function)Deprecated.voidMessageBodyReadableContent. registerFilter(Function<Flow.Publisher<DataChunk>,Flow.Publisher<DataChunk>> function)Deprecated.voidMessageBodyReadableContent. registerFilter(Function<Flow.Publisher<DataChunk>,Flow.Publisher<DataChunk>> function)Deprecated.voidMessageBodyWriteableContent. registerFilter(Function<Flow.Publisher<DataChunk>,Flow.Publisher<DataChunk>> function)Deprecated.voidMessageBodyWriteableContent. registerFilter(Function<Flow.Publisher<DataChunk>,Flow.Publisher<DataChunk>> function)Deprecated.<T> MessageBodyWriteableContentMessageBodyWriteableContent. registerWriter(Class<T> type, MediaType contentType, Function<? extends T,Flow.Publisher<DataChunk>> function)Deprecated.<T> MessageBodyWriteableContentMessageBodyWriteableContent. registerWriter(Class<T> type, Function<T,Flow.Publisher<DataChunk>> function)Deprecated.<T> MessageBodyWriteableContentMessageBodyWriteableContent. registerWriter(Predicate<?> accept, MediaType contentType, Function<T,Flow.Publisher<DataChunk>> function)Deprecated.<T> MessageBodyWriteableContentMessageBodyWriteableContent. registerWriter(Predicate<?> accept, Function<T,Flow.Publisher<DataChunk>> function)Deprecated.<T> MessageBodyWriterContextMessageBodyWriterContext. registerWriter(Class<T> type, MediaType contentType, Function<? extends T,Flow.Publisher<DataChunk>> function)Deprecated.<T> MessageBodyWriterContextMessageBodyWriterContext. registerWriter(Class<T> type, Function<T,Flow.Publisher<DataChunk>> function)Deprecated.<T> MessageBodyWriterContextMessageBodyWriterContext. registerWriter(Predicate<?> accept, MediaType contentType, Function<T,Flow.Publisher<DataChunk>> function)Deprecated.<T> MessageBodyWriterContextMessageBodyWriterContext. registerWriter(Predicate<?> accept, Function<T,Flow.Publisher<DataChunk>> function)Deprecated.voidMessageBodyReadableContent. subscribe(Flow.Subscriber<? super DataChunk> subscriber)voidMessageBodyWriteableContent. subscribe(Flow.Subscriber<? super DataChunk> subscriber)voidPublisherInputStream. subscribe(Flow.Subscriber<? super DataChunk> subscriber)voidReadableByteChannelPublisher. subscribe(Flow.Subscriber<? super DataChunk> subscriberParam)<T> Single<T>MessageBodyReaderContext. unmarshall(Flow.Publisher<DataChunk> payload, GenericType<T> type)Convert a given HTTP payload into a publisher by selecting a reader that accepts the specified type and current context.<T> Single<T>MessageBodyReaderContext. unmarshall(Flow.Publisher<DataChunk> payload, Class<? extends MessageBodyReader<T>> readerType, GenericType<T> type)Convert a given HTTP payload into a publisher by selecting a reader with the specified class.<T> Flow.Publisher<T>MessageBodyReaderContext. unmarshallStream(Flow.Publisher<DataChunk> payload, GenericType<T> type)Convert a given HTTP payload into a publisher by selecting a stream reader that accepts the specified type and current context.<T> Flow.Publisher<T>MessageBodyReaderContext. unmarshallStream(Flow.Publisher<DataChunk> payload, Class<? extends MessageBodyReader<T>> readerType, GenericType<T> type)Convert a given HTTP payload into a publisher by selecting a stream reader with the payload class.Constructor parameters in io.helidon.media.common with type arguments of type DataChunk Constructor Description PublisherInputStream(Flow.Publisher<DataChunk> originalPublisher)Wraps the supplied publisher and adds a blockingInputStreambased nature. -
Uses of DataChunk in io.helidon.media.jackson.common
Methods in io.helidon.media.jackson.common that return types with arguments of type DataChunk Modifier and Type Method Description Flow.Publisher<DataChunk>JacksonBodyWriter. write(Single<Object> content, GenericType<? extends Object> type, MessageBodyWriterContext context)static Function<Object,Flow.Publisher<DataChunk>>JacksonProcessing. writer(com.fasterxml.jackson.databind.ObjectMapper objectMapper, Charset charset)Method parameters in io.helidon.media.jackson.common with type arguments of type DataChunk Modifier and Type Method Description <U> Single<U>JacksonBodyReader. read(Flow.Publisher<DataChunk> publisher, GenericType<U> type, MessageBodyReaderContext context) -
Uses of DataChunk in io.helidon.media.jsonb.common
Methods in io.helidon.media.jsonb.common that return types with arguments of type DataChunk Modifier and Type Method Description Flow.Publisher<DataChunk>JsonbBodyWriter. write(Single<Object> content, GenericType<? extends Object> type, MessageBodyWriterContext context)static Function<Object,Flow.Publisher<DataChunk>>JsonBinding. writer(javax.json.bind.Jsonb jsonb, Charset charset)Method parameters in io.helidon.media.jsonb.common with type arguments of type DataChunk Modifier and Type Method Description <U> Single<U>JsonbBodyReader. read(Flow.Publisher<DataChunk> publisher, GenericType<U> type, MessageBodyReaderContext context) -
Uses of DataChunk in io.helidon.media.jsonp.common
Methods in io.helidon.media.jsonp.common that return types with arguments of type DataChunk Modifier and Type Method Description Flow.Publisher<DataChunk>JsonpBodyWriter. write(Single<javax.json.JsonStructure> content, GenericType<? extends javax.json.JsonStructure> type, MessageBodyWriterContext context)Method parameters in io.helidon.media.jsonp.common with type arguments of type DataChunk Modifier and Type Method Description <U extends javax.json.JsonStructure>
Single<U>JsonpBodyReader. read(Flow.Publisher<DataChunk> publisher, GenericType<U> type, MessageBodyReaderContext context) -
Uses of DataChunk in io.helidon.webclient
Methods in io.helidon.webclient with parameters of type DataChunk Modifier and Type Method Description voidFileSubscriber. onNext(DataChunk item)Deprecated.Method parameters in io.helidon.webclient with type arguments of type DataChunk Modifier and Type Method Description CompletionStage<WebClientResponse>WebClientRequestBuilder. submit(Flow.Publisher<DataChunk> requestEntity)Performs prepared request and submitting request entity usingFlow.Publisher.<T> CompletionStage<T>WebClientRequestBuilder. submit(Flow.Publisher<DataChunk> requestEntity, Class<T> responseType)Performs prepared request and submitting request entity usingFlow.Publisher.CompletionStage<Path>FileSubscriber. subscribeTo(Flow.Publisher<DataChunk> publisher)Deprecated.Subscribes this instance to the obtained publisher. -
Uses of DataChunk in io.helidon.webserver
Methods in io.helidon.webserver that return types with arguments of type DataChunk Modifier and Type Method Description Flow.Publisher<DataChunk>BareRequest. bodyPublisher()Gets the Flow Publisher that allows a subscription for request body chunks.Methods in io.helidon.webserver with parameters of type DataChunk Modifier and Type Method Description voidBareResponse. onNext(DataChunk data)ProvidedByteBufferMUST be fully read during the method call.Method parameters in io.helidon.webserver with type arguments of type DataChunk Modifier and Type Method Description ServerResponseServerResponse. registerFilter(Function<Flow.Publisher<DataChunk>,Flow.Publisher<DataChunk>> function)Deprecated.ServerResponseServerResponse. registerFilter(Function<Flow.Publisher<DataChunk>,Flow.Publisher<DataChunk>> function)Deprecated.<T> ServerResponseServerResponse. registerWriter(Class<T> type, MediaType contentType, Function<? extends T,Flow.Publisher<DataChunk>> function)Deprecated.<T> ServerResponseServerResponse. registerWriter(Class<T> type, Function<T,Flow.Publisher<DataChunk>> function)Deprecated.<T> ServerResponseServerResponse. registerWriter(Predicate<?> accept, MediaType contentType, Function<T,Flow.Publisher<DataChunk>> function)Deprecated.<T> ServerResponseServerResponse. registerWriter(Predicate<?> accept, Function<T,Flow.Publisher<DataChunk>> function)Deprecated.CompletionStage<ServerResponse>ServerResponse. send(Flow.Publisher<DataChunk> content)Send a message as is without any other marshalling. -
Uses of DataChunk in io.helidon.webserver.tyrus
Methods in io.helidon.webserver.tyrus with parameters of type DataChunk Modifier and Type Method Description voidTyrusReaderSubscriber. onNext(DataChunk item)Method parameters in io.helidon.webserver.tyrus with type arguments of type DataChunk Modifier and Type Method Description voidTyrusWriterPublisher. subscribe(Flow.Subscriber<? super DataChunk> newSubscriber)
-